package com.zeekling.cn.rpc;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.ipc.RPC;

import java.io.IOException;
import java.net.InetSocketAddress;

public class RPCClient {

    public static void main(String[] args) throws IOException {
        RPCProtocol client = RPC.getProxy(
                RPCProtocol.class,
                RPCProtocol.versionID,
                new InetSocketAddress("127.0.0.1", 8888),
                new Configuration());
        System.out.println("客户端");
        String hello = client.hello("I'm Client");
        System.out.println(hello);

    }

}
