#!/usr/bin/env bash

if [ -z "$JAVA_HOME" ]; then
   JAVA_HOME="/opt/bisheng-jdk-17.0.3"
fi
echo "$JAVA_HOME"
basedir=$(pwd)
cd "$basedir/src/main/native/"
gcc -I$JAVA_HOME/include -I$JAVA_HOME/include/linux -fPIC -shared jniTestNative.c -o libJniTestNative.so

echo "$(pwd)"

mv libJniTestNative.so ${basedir}/target/classes/