#include "com_zeekling_cn_jni_JniLoader.h"
#include <stdio.h>
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     com_zeekling_cn_jni_JniTest
 * Method:    say
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_com_zeekling_cn_jni_JniLoader_say(JNIEnv* env, jclass cls,  jstring j_str) {
    const char *c_str = NULL;
    char buff[128] = { 0 };
    jboolean isCopy;
    c_str = (*env)->GetStringUTFChars(env, j_str, &isCopy);
    if (c_str == NULL)
    {
        printf("out of memory.\n");
        return NULL;
    }

    printf("Hello,I'm C++,the Java Str is:%s\n", c_str);
    sprintf(buff, "hello %s", c_str);
    (*env)->ReleaseStringUTFChars(env, j_str, c_str);
    return (*env)->NewStringUTF(env, buff);
}
#ifdef __cplusplus
}
#endif