package com.zeekling.cn.jni;

/**
 * javac -encoding utf8 -h . JniLoader.java
 * gcc -I$JAVA_HOME/include -I$JAVA_HOME/include/linux -fPIC -shared jniTestNative.c -o libJniTestNative.so
 */
public class JniLoader {

    /**
     * native关键字,表明这个方法使用java以外的语言实现
     */
    public native void say(String something);


    static {
        //加载jni库so
        System.load(JniLoader.class.getResource("/libJniTestNative.so").getPath());
    }

}
