package com.zeekling.cn.rpc.protobuf;

import com.google.protobuf.RpcController;
import com.google.protobuf.ServiceException;
import com.zeekling.cn.rpc.protobuf.proto.Business;

public class BusinessServerPBImpl implements BusinessServicePB {

    @Override
    public Business.BusinessResponseProto buy(RpcController controller, Business.BusinessRequestProto request) throws ServiceException {
        String result = request.getBrand() + " " + request.getNum() + " " + request.getPrice();
        return Business.BusinessResponseProto.newBuilder().setResult(result).build();
    }
}
